---
title: Error.prototype.fileName
slug: Web/JavaScript/Reference/Global_Objects/Error/fileName
tags:
  - JavaScript
  - Non-standard
  - Property
  - Prototype
---
<div>{{JSRef}} {{non-standard_header}}</div>

<p>The <code><strong>fileName</strong></code> property contains the path to the file that raised this error.</p>

<h2 id="Description">Description</h2>

<p>This non-standard property contains the path to the file that raised this error. If called from a debugger context, the Firefox Developer Tools for example, "debugger eval code" is returned.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_fileName">Using fileName</h3>

<pre class="brush: js notranslate">var e = new Error('Could not parse input');
throw e;
// e.fileName could look like "file:///C:/example.html"
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.fileName")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Error.prototype.stack")}}</li>
 <li>{{jsxref("Error.prototype.columnNumber")}}</li>
 <li>{{jsxref("Error.prototype.lineNumber")}}</li>
</ul>
